🚀 Socket Launch Week Day 5:Introducing Repository Access Permissions and Custom Roles.Learn more
Sign In

vue.charts.css

Package Overview
Dependencies
Maintainers
1
Versions
27
Alerts
File Explorer

Advanced tools

Socket logo

Install Socket

Detect and block malicious and high-risk dependencies

Install

vue.charts.css

Vue JS wrapper for Charts CSS

latest
Source
npmnpm
Version
2.0.1
Version published
Maintainers
1
Created
Source

Vue Charts.CSS

Visualization helps end-users understand data. Vue Charts.CSS helps frontend developers turn data into beautiful interactive charts and graphs using the powerful Charts.CSS framework.

Version Size Size GZIP Size Brotli

Get Started | Learn more | Docs

Dependencies

  • Charts.CSS
  • Vue 3
Need Vue 2 support?

Vue Charts CSS is built for Vue 3, however you can still use the Vue 2 supported version of Vue Charts CSS by locking to the 1.x.x versions of the package.

Make sure your package.json file has the following:

"dependencies": {
  "vue.charts.css": "^1.0.1"
}

Vue 2 is supported under the vue2 branch and 1.x.x versions of the package. However, it is highly recommended upgrading to Vue 3 for long-term support.

Install

View Install Guide.

With Package Managers

NPM

npm install vue.charts.css

Yarn

yarn add vue.charts.css

Documentation

Read Guides & Documentation.

<charts-css
    heading="Team's Coffee Count"
    type="bar"
    :labels="['Mon', 'Tue', 'Wed']"
    :datasets="datasets"
/>
<script>
    export default {
        data()
        {
            return {
                datasets: [
                    {
                        name: "Ben",
                        values: [2, 4, 3],
                    },
                    {
                        name: "Josie",
                        values: [7, 6, 3, 4],
                    },
                    {
                        name: "Tim",
                        values: [12, 278, 0, 0],
                    },
                ],
            };
        },
    }
</script>

License

Vue Charts.CSS and Charts.CSS are licensed under the MIT license.

Vue Charts.CSS is not affiliated with the creators of Charts.CSS.

Keywords

css

FAQs

Package last updated on 01 May 2022

Did you know?

Socket

Socket for GitHub automatically highlights issues in each pull request and monitors the health of all your open source dependencies. Discover the contents of your packages and block harmful activity before you install or update your dependencies.

Install

Related posts